pcl::recognition Namespace Reference

## Namespaces

| aux

## Classes

class | BVH
| This class is an implementation of bounding volume hierarchies. More...
class | HoughSpace3D
| HoughSpace3D is a 3D voting space. More...
class | Hypothesis
class | HypothesisBase
class | ModelLibrary
class | ObjRecRANSAC
| This is a RANSAC-based 3D object recognition method. More...
class | ORRGraph
class | ORROctree
| That's a very specialized and simple octree class. More...
class | ORROctreeZProjection
class | RigidTransformSpace
class | RotationSpace
| This is a class for a discrete representation of the rotation space based on the axis-angle representation. More...
class | RotationSpaceCell
class | RotationSpaceCellCreator
class | RotationSpaceCreator
class | SimpleOctree
class | TrimmedICP
class | VoxelStructure
| This class is a box in R3 built of voxels ordered in a regular rectangular grid. More...

## Typedefs

typedef SimpleOctree< RotationSpaceCell, RotationSpaceCellCreator, float > | CellOctree
typedef SimpleOctree< RotationSpace, RotationSpaceCreator, float > | RotationSpaceOctree

## Typedef Documentation

typedef SimpleOctree<RotationSpaceCell, RotationSpaceCellCreator, float> pcl::recognition::CellOctree

Definition at line 187 of file rigid_transform_space.h.

typedef SimpleOctree<RotationSpace, RotationSpaceCreator, float> pcl::recognition::RotationSpaceOctree

Definition at line 339 of file rigid_transform_space.h.